Subject: Re: RFD: Shipping GitBrowser.js for instaweb

From: Jakub Narebski <[email-masked]>
Date: Sun, 02 May 2010 13:14:27 -0700 (PDT)

Michael J Gruber <[email-masked]> writes:

> I was wondering whether it would make sense to ship GitBrowser.js with
> Git and how much it would take to do so.
> 
> My personal answer to the 1st Q is Yes: instaweb as well as simple
> gitweb installs would benefit from a graphical DAG viewer.
> 
> About the required effort I have no clue: I find it difficult to see
> through which repo contains current gitweb, current repo.or.cz mods, and
> especially the GitBrowser integration bits. Maybe we could ship the
> integration bits without the actual GitBrowser if that is more feasible?

The integration parts are actually present in gitweb, I think.  It is
a matter of configuration to enable 'graphiclog' link like in
http://repo.or.cz

GitBrowser.js is not, I think, the best solution for having graphical
history in gitweb, but would do...

-- 
Jakub Narebski
Poland
ShadeHawk on #git